Subject: Ticket Assigned - Didn’t receive my order 9632858013
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 07 Feb 2021 05:26:12 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Didn’t receive my order 9632858013 Dear Sir

I am writing to you to inform you that I didn’t receive my order which I supposed to receive it yesterday 06/02/2021! No one contacted me to apologize or to reschedule my appointment! I called call center and they are useless! No one helped me and until now no one inform me when I will receive my order!
Really I am so disappointed with this bad service
 I am looking forward to hearing from you soon to solve my problem.

Regards

Ihab Salhab
0557552994

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2065751